---
updatedAt: 2026-06-01T17:30:50.000Z
agentTools:
  projectIndex: https://apidocs.acculynx.com/llms.txt
---

# Get Estimate Sections

Use this endpoint to get all sections for the given estimate. **Supported includes:** `createdBy`, `modifiedBy`, `items`.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.2614.0",
    "title": "AccuLynx API V2",
    "description": "If you are experiencing issues integrating with this API, please work with your web developer to review your programming before reaching out to us with an issue as we do not provide web development consulting services.\n\nAPI keys are for our customers only. If you are a business that is looking to integrate with AccuLynx, either on behalf of our customers or on your own, please [click here](https://docs.google.com/forms/d/e/1FAIpQLSeTvS614N9crtmFR4PVjgetlTKEhhjVGCFaodP8QLdFG_Qb8Q/viewform) to request access. Failure to do so can result in suspension of the AccuLynx account.\n\nThe AccuLynx API provides customers programmatic access to their data within AccuLynx.\n\nThe base url for these endpoints: is <b>https://api.acculynx.com/api/v2</b>\n\nUsing SwaggerHub, you have the ability to test against a virtual server or you can test against the API itself. The virtual server is a mock server that allows you to test your calls without affecting your production data. Testing against the virtual server will always respond with a fixed response regardless of your inputs. It is provided to give you a production model of the information returned.\n\nTesting against the API requires an API Key and will affect your real production data. Get your API key from your [AccuLynx API page](https://my.acculynx.com/apikeys). From the Servers list box below, select the api.acculynx.com site. When you click on green Authorize button next to the Servers list box, you will be prompted for a Bearer token. Enter your API Key and click Authorize again.\n\nTo make it easier to connect AccuLynx to other applications you use, we have made our Zapier integration publicly available. Instead of contacting us to help you enable the use of Zapier to integrate additional applications with AccuLynx, you can now get started by going to the Zapier website ([https://zapier.com](https://zapier.com)) and searching for the AccuLynx application. Zaps are automated tasks that you run over and over again between AccuLynx and other online applications. We have an action that allows you to pair with a trigger to create leads in AccuLynx and a trigger as well as other actions and triggers coming in the near future! To get started search for AccuLynx on the Zapier website!\n\nIf you don’t already have a Zapier account, create one or log into your [https://zapier.com/account](https://zapier.com/account).\n\nAccuLynx Action ZAP basic documentation: [https://support.acculynx.com/hc/en-us/articles/360034839751-Creating-a-Zap-with-Zapier](https://support.acculynx.com/hc/en-us/articles/360034839751-Creating-a-Zap-with-Zapier)",
    "termsOfService": "https://my.acculynx.com/signin/TermsView",
    "contact": {
      "email": "api@acculynx.com",
      "url": "https://api.acculynx.com/"
    },
    "license": {
      "name": "Proprietary",
      "url": "https://my.acculynx.com/signin/TermsView"
    }
  },
  "servers": [
    {
      "description": "AccuLynx Production Base Url",
      "url": "https://api.acculynx.com/api/v2"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "estimates",
      "description": "Manage estimates and their sections and line items."
    }
  ],
  "paths": {
    "/estimates/{estimateId}/sections": {
      "get": {
        "summary": "Get Estimate Sections",
        "description": "Use this endpoint to get all sections for the given estimate. **Supported includes:** `createdBy`, `modifiedBy`, `items`.\n",
        "operationId": "getEstimateSections",
        "parameters": [
          {
            "$ref": "#/components/parameters/estimateIdPath"
          },
          {
            "$ref": "#/components/parameters/includesQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/estimateSectionCollection"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          }
        },
        "tags": [
          "estimates"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "parameters": {
      "includesQuery": {
        "name": "includes",
        "in": "query",
        "description": "A comma-separated list of related resources to expand inline in the response. Valid values vary by endpoint and are documented in each operation description.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "estimateIdPath": {
        "name": "estimateId",
        "in": "path",
        "description": "The estimate's unique identifier",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The URI of an explanation of the error",
            "example": "https://tools.ietf.org/html/rfc7235#section-3.1"
          },
          "title": {
            "type": "string",
            "description": "Error description",
            "example": "This error happened."
          },
          "status": {
            "type": "number",
            "description": "HTTP status code",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Any details available for this error",
            "example": "More info about this error."
          },
          "traceId": {
            "type": "string",
            "description": "An identifier that may be useful to AccuLynx support",
            "example": "|40f2a8f1-4db865dd47a69226."
          }
        },
        "required": [
          "type",
          "title",
          "status"
        ]
      },
      "companyUserLink": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique GUID of the AccuLynx User.",
            "format": "uuid",
            "example": "228db892-3b49-4455-b839-ffd8576d8731"
          },
          "_link": {
            "type": "string",
            "description": "The unique URI of the AccuLynx User.",
            "example": "https://api.acculynx.com/api/v2/users/228db892-3b49-4455-b839-ffd8576d8731"
          }
        },
        "description": ""
      },
      "estimateFinancials": {
        "type": "object",
        "properties": {
          "taxRate": {
            "type": "number",
            "description": "The rate of tax for the estimate."
          },
          "taxTotal": {
            "type": "number",
            "description": "The total tax for the estimate."
          },
          "overheadRate": {
            "type": "number",
            "description": "The rate of overhead for the estimate."
          },
          "overheadTotal": {
            "type": "number",
            "description": "The total overhead for the estimate."
          },
          "profitRate": {
            "type": "number",
            "description": "The rate of profit for the estimate."
          },
          "profitTotal": {
            "type": "number",
            "description": "The total profit for the estimate."
          },
          "totalCost": {
            "type": "number",
            "description": "The total cost for the estimate."
          },
          "totalPrice": {
            "type": "number",
            "description": "The total price for the estimate."
          }
        }
      },
      "estimateItemLink": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "The unique identifier of the estimate item.",
            "example": "79bd84ff-a16a-4358-b1de-be5071c0f19c"
          },
          "_link": {
            "type": "string",
            "description": "The unique URI of the Estimate Item.",
            "example": "https://api.acculynx.com/api/v2/estimates/01a7cfc1-2231-4589-9657-7f3004c06bd3/sections/43bc3071-8701-4514-92d2-0ab6934bbacc/items/79bd84ff-a16a-4358-b1de-be5071c0f19c"
          }
        }
      },
      "estimateSection": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "The unique ID for the estimate section.",
            "example": "43bc3071-8701-4514-92d2-0ab6934bbacc"
          },
          "title": {
            "type": "string",
            "description": "The title of the estimate section.",
            "example": "Roofing"
          },
          "description": {
            "type": "string",
            "description": "A description of the estimate section."
          },
          "createdBy": {
            "$ref": "#/components/schemas/companyUserLink"
          },
          "createdDate": {
            "type": "string",
            "description": "The date/time the estimate section was created, in UTC format.",
            "example": "2015-07-28T17:48:59Z"
          },
          "modifiedBy": {
            "$ref": "#/components/schemas/companyUserLink"
          },
          "modifiedDate": {
            "type": "string",
            "description": "The date/time the estimate section was modified, in UTC format.",
            "example": "2015-07-29T17:48:59Z"
          },
          "profitMarginRate": {
            "type": "number",
            "description": "The rate of profit on the estimate section."
          },
          "profitMarginTotal": {
            "type": "number",
            "description": "The total profit for the estimate section."
          },
          "sectionFinancials": {
            "$ref": "#/components/schemas/estimateFinancials"
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/estimateItemLink"
            }
          },
          "_link": {
            "type": "string",
            "description": "The unique URI of the Estimate Section.",
            "example": "https://api.acculynx.com/api/v2/estimates/01a7cfc1-2231-4589-9657-7f3004c06bd3/sections/43bc3071-8701-4514-92d2-0ab6934bbacc"
          }
        }
      },
      "estimateSectionCollection": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/estimateSection"
                }
              }
            }
          }
        ]
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "The API key provided is missing, invalid, or has been deactivated. Verify your API key and try again.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "400BadRequest": {
        "description": "The request was malformed or contained invalid field values. Check the error response body for details.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "The requested resource was not found. Verify the ID in the request path is correct and that the resource exists.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      }
    }
  }
}
```